<?php

class PayshopProcessFailedRedirect
{
    /**
     * Class constructor
     */
    public function __construct() {
        add_action('woocommerce_api_payshop_process_failed_redirect', [$this, 'execute']);
    }

    /**
     * Process when the payment has failed and the gateway redirected to the KO page
     *
     * @return void
     */
    public function execute()
    {
        try {
            $orderId = $_GET['amp;order_id'] ?? $_GET['order_id'];
        
            $order = wc_get_order($orderId);

            if (!$order) {
                throw new Exception('Order not found');
            }

            $order->update_status('failed', __('Payment refused', 'payshop'));
            $order->save();

            header('location: ' . $order->get_checkout_order_received_url());
        } catch (\Throwable $e) {
            status_header(500);
            wp_send_json_error(array('message' => $e->getMessage()));
        }

        exit;
    }
}
