<?php

class PayshopRequirementsAlert extends PayshopAbstractAlert
{
    /**
     * Check if the requirements are met
     * 
     * @return void
     */
    public function execute()
    {
        $this->checkPhpVersion();

        $this->checkCurl();
    }

    /**
     * Check if the PHP version is correct
     * 
     * @return void
     */
    private function checkPhpVersion()
    {
        if (version_compare(PHP_VERSION, '5.6', '<=')) {
            $type    = 'error';
            $message = __('Payshop payments for WooCommerce requires PHP version 5.6 or later. Please update your PHP version.', 'payshop');

            $this->show($type, $message);
        }
    }

    /**
     * Check if the CURL extension is installed
     * 
     * @return void
     */
    private function checkCurl()
    {
        if (!function_exists('curl_version')) {
            $type    = 'error';
            $message = __('Payshop Error: PHP Extension CURL is not installed.', 'payshop');

            $this->show($type, $message);
        }
    }
}