<?php

class PayshopReferencesDialog
{
    /**
     * Class constructor
     */
    public function __construct()
    {
        add_action('woocommerce_after_register_post_type ', [$this, 'execute']);
    }

    /**
     * Show references iframe
     *
     * @return void
     */
    public function execute()
    {
        add_action('woocommerce_thankyou', [$this, 'showDialog'], -1);
        
    }

    /**
     * Show references iframe
     *
     * @return void
     */
    public function showDialog()
    {
        $orderId = wc_get_order_id_by_order_key($_GET['key']);
        $order = wc_get_order($orderId);

        if ($order->get_payment_method() !== 'payshop_multibanco' && 
            $order->get_payment_method() !== 'payshop_reference'
        ) {
            return;
        }

        //used on template
        $iframeURL = wc()->session->get( 'order_iframe_url');

        require_once PAYSHOP_PLUGIN_DIR . '/templates/views/front/references-dialog.php';
    }
}
