<?php

class PayshopPaymentRefused
{
    /**
     * @var PayshopUpdateOrder
     */
    private $payshopUpdateOrder;

    /**
     * Class constructor
     */
    public function __construct()
    {
        $this->payshopUpdateOrder = new PayshopUpdateOrder();
    }

    /**
     * Process when the payment has failed
     *
     * @param WC_Order $order
     * @return void
     */
    public function process($order)
    {
        $orderStatus = $order->get_status();
        if ('on-hold' !== $orderStatus) {
            return;
        }

        $this->payshopUpdateOrder->execute(
            $order->get_id(),
            'failed',
            $order->get_meta('_payshop_payment_order_uuid'),
        );

        //adicionar nota na order
        $order->add_order_note(
            __('Payment refused', 'payshop')
        );
    }
}
