<?php

class PayshopOrderInformations
{
    /**
     * Show payshop informations on order page in admin
     * 
     * @return void
     */
    public function execute()
    {
        add_action('woocommerce_admin_order_data_after_shipping_address', [$this, 'renderOrderInformations']);
    }

    /**
     * Render payshop informations on order page in admin
     * 
     * @param int $postId
     * @return void
     */
    public function renderOrderInformations($postId)
    {
        $order = wc_get_order($postId);
        
        // Used on template
        $paymentMethod = $order->get_payment_method();

        $paymentInTwoSteps = $order->get_meta('_payshop_payment_in_two_steps');
        $paymentEffectiveValue = $order->get_meta('_payshop_effective_value');
        $limiteToConfirmPayment = PayshopCommons::getDateLimitToConfirmPayment($order);

        $paymentOrderUUID = $order->get_meta('_payshop_payment_order_uuid');
       
        require PAYSHOP_PLUGIN_DIR . '/templates/views/admin/order-informations.php';
    }
}