<?php

class PayshopPaymentMethods
{
    /**
     * class constructor
     */
    public function __construct()
    {
        add_filter('woocommerce_payment_gateways', [$this, 'addPaymentMethods']);
    }

    /**
     * Register payment methods
     * 
     * @return array
     */
    public function addPaymentMethods($gateways)
    {
        $gateways = [];

        $paymentServices = [
            'payshop_card' => 'PayshopCard',
            'payshop_mbway' => 'PayshopMBWay',
            'payshop_multibanco' => 'PayshopMultibanco',
            'payshop_reference' => 'PayshopReference'
        ];

        foreach ($paymentServices as $serviceKey => $className) {
            if (PayshopCommons::getPaymentServiceUUID($serviceKey)) {
                $gateways[] = $className;
            }
        }

        return $gateways;
    }

}