<?php

class PayshopPluginListLinks
{
    /**
     * Add links to plugin list
     * 
     * @param array $links
     * @return array
     */
    public function execute()
    {
        add_filter('plugin_action_links_' . PAYSHOP_PLUGIN_BASENAME, [$this, 'addLinks']);
    }

    /**
     * Add links to plugin list
     * 
     * @param array $links
     * @return array
     */
    public function addLinks($links)
    {
        $plugin_links   = array();
        $plugin_links[] = '<a href="' . admin_url('admin.php?page=wc-settings&tab=payshop') . '">' . __('Set plugin', 'payshop') . '</a>';
        $plugin_links[] = '<a target="_blank" href="' . admin_url('admin.php?page=wc-settings&tab=checkout') . '">' . __('Payment methods', 'payshop') . '</a>';

        return array_merge($plugin_links, $links);
        
    }

}