/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/components/content.js":
/*!***********************************!*\
  !*** ./src/components/content.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils_ErrorHandler__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/ErrorHandler */ "./src/utils/ErrorHandler.js");



const Content = props => {
  const {
    eventRegistration,
    emitResponse
  } = props;
  const {
    onCheckoutFail
  } = eventRegistration;
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    const unsubscribe = onCheckoutFail(async paymentResponse => {
      var _paymentResponse$proc;
      const errorMessage = (_paymentResponse$proc = paymentResponse.processingResponse.paymentDetails.errorMessage) !== null && _paymentResponse$proc !== void 0 ? _paymentResponse$proc : '';
      let errorHandler = new _utils_ErrorHandler__WEBPACK_IMPORTED_MODULE_2__["default"]('Default message', document.querySelector('.woocommerce-notices-wrapper'));
      errorHandler.clear();
      errorHandler.message(errorMessage);
    });

    // Unsubscribes when this component is unmounted.
    return () => {
      unsubscribe();
    };
  }, [emitResponse.responseTypes.ERROR]);
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, props.children);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Content);

/***/ }),

/***/ "./src/utils/ErrorHandler.js":
/*!***********************************!*\
  !*** ./src/utils/ErrorHandler.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
class ErrorHandler {
  /**
   * @param {String} genericErrorText
   * @param {Element} wrapper
   */
  constructor(genericErrorText, wrapper) {
    this.genericErrorText = genericErrorText;
    this.wrapper = wrapper;
  }
  genericError() {
    this.clear();
    this.message(this.genericErrorText);
  }
  appendPreparedErrorMessageElement(errorMessageElement) {
    this._getMessageContainer().replaceWith(errorMessageElement);
  }

  /**
   * @param {String} text
   */
  message(text) {
    this._addMessage(text);
    this._scrollToMessages();
  }

  /**
   * @param {Array} texts
   */
  messages(texts) {
    texts.forEach(t => this._addMessage(t));
    this._scrollToMessages();
  }

  /**
   * @returns {String}
   */
  currentHtml() {
    const messageContainer = this._getMessageContainer();
    return messageContainer.outerHTML;
  }

  /**
   * @private
   * @param {String} text
   */
  _addMessage(text) {
    if (!typeof String || text.length === 0) {
      throw new Error('A new message text must be a non-empty string.');
    }
    const messageContainer = this._getMessageContainer();
    let messageNode = this._prepareMessageElement(text);
    messageContainer.appendChild(messageNode);
  }

  /**
   * @private
   */
  _scrollToMessages() {
    jQuery.scroll_to_notices(jQuery('.woocommerce-error'));
  }

  /**
   * @private
   */
  _getMessageContainer() {
    let messageContainer = document.querySelector('ul.woocommerce-error');
    if (messageContainer === null) {
      messageContainer = document.createElement('ul');
      messageContainer.setAttribute('class', 'woocommerce-error');
      messageContainer.setAttribute('role', 'alert');
      jQuery(this.wrapper).prepend(messageContainer);
    }
    return messageContainer;
  }

  /**
   * @private
   */
  _prepareMessageElement(message) {
    const li = document.createElement('li');
    li.innerHTML = message;
    return li;
  }
  clear() {
    jQuery('.woocommerce-error, .woocommerce-message').remove();
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ErrorHandler);

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "React" ***!
  \************************/
/***/ ((module) => {

module.exports = window["React"];

/***/ }),

/***/ "@wordpress/element":
/*!*********************************!*\
  !*** external ["wp","element"] ***!
  \*********************************/
/***/ ((module) => {

module.exports = window["wp"]["element"];

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
(() => {
/*!**********************************!*\
  !*** ./src/payshop-reference.js ***!
  \**********************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _components_content__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./components/content */ "./src/components/content.js");


const settings = window.wc.wcSettings.getSetting("payshop_reference_data", {});
const label = window.wp.htmlEntities.decodeEntities(settings.title);
const description = window.wp.htmlEntities.decodeEntities(settings.description);
const icon = settings.icon;
const Block_Gateway = {
  name: "payshop_reference",
  label: (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    style: {
      display: "flex",
      alignItems: "center"
    }
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", null, label), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
    src: icon,
    style: {
      marginLeft: "10px"
    }
  })),
  content: (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_components_content__WEBPACK_IMPORTED_MODULE_1__["default"], null, description),
  edit: (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, label),
  canMakePayment: () => true,
  ariaLabel: label,
  supports: {
    features: settings.supports
  }
};
window.wc.wcBlocksRegistry.registerPaymentMethod(Block_Gateway);
})();

/******/ })()
;
//# sourceMappingURL=payshop-reference.js.map