
/**
 * MBWay scope
 */
(function () {
    /**
     * Get form
     */
    function getMbwayForm() {
        return document.querySelector('.woocommerce-checkout');
    }

    /**
     * Disable error spans
     */
    function hideErrors() {
        for (var x = 0; x < document.querySelectorAll('[data-checkout]').length; x++) {
            var field = document.querySelectorAll('[data-checkout]')[x];
            field.classList.remove('payshop-form-control-error');
        }

        for (var y = 0; y < document.querySelectorAll('.payshop-erro-form').length; y++) {
            var small = document.querySelectorAll('.payshop-erro-form')[y];
            small.style.display = 'none';
        }
    }

    /**
     * Validate inputs
     */
    function validateInputs() {
        hideErrors();

        return validateinputNotFilled();
    }

    /**
     * Validate fixed Inputs is empty
     */
    function validateinputNotFilled() {
        var emptyInputs = false;
        var form = getMbwayForm();
        var formInputs = form.querySelectorAll('[data-checkout]');
        var fixedInputs = ['wbwayNumber'];

        for (var x = 0; x < formInputs.length; x++) {
            var element = formInputs[x];

            // Check is a input to create token.
            if (fixedInputs.indexOf(element.getAttribute('data-checkout')) > -1) {
                if (element.value === -1 || element.value === '') {
                    var span = form.querySelectorAll('small[data-main="#' + element.id + '"]');

                    if (span.length > 0) {
                        span[0].style.display = 'block';
                    }

                    element.classList.add('payshop-form-control-error');
                    emptyInputs = true;
                }
            }
        }

        return emptyInputs;
    }

    /**
     * Validate if mbway is selected and validate inputs
     */
    function validateEvent(checkoutForm) {
        if (checkoutForm.find('#payment_method_payshop_mbway').is(':checked')) {
            return !validateInputs();
        }
    }

    /**
     * Handle submit from credit card form
     */
    jQuery(function ($) {
        let checkoutForm = $('form.woocommerce-checkout');
        let isNormalCheckout = checkoutForm.length > 0;

        if (isNormalCheckout) {
            checkoutForm.on('checkout_place_order', function (e) {
                return validateEvent(checkoutForm);
            });
        } else {
            // After failed payment, on order-pay page
            checkoutForm = $('form#order_review');

            checkoutForm.find('#place_order').click(function () {
                return validateEvent(checkoutForm);
            });
        }
    });
})();