<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<div>
    <label for="effective-value"><?= __('Effective Order Value', 'payshop') ?></label>
    <input type="text" name="effective-value" value="<?= $order->get_total() ?>" id="effective-value">
</div><br>

<div>
    <button id="confirm-payment"><?= __('Confirm Payment', 'payshop') ?></button>
</div>

<script>
    jQuery(document).ready(function($) {
        $('#confirm-payment').on('click', function(e) {
            e.preventDefault();
            $.ajax({
                url: '<?= admin_url('admin-ajax.php'); ?>',
                type: 'POST',
                data: {
                    action: 'payshop_two_step_payment_confirm',
                    nonce: '<?= wp_create_nonce('payshop_two_step_payment_confirm'); ?>',
                    order_id: '<?= $order->get_id(); ?>',
                    effective_value: $('#effective-value').val()
                },
                success: function(response) {
                    if (response.success) {
                        alert(response.data.message);
                        window.location.reload();
                    } else {
                        alert(response.data.message);
                    }
                },
                error: function(response) {
                    alert('<?= __('Error on send confirmation payment to Payshop. Please, try again', 'payshop') ?>');
                }
            });
        });
    });
</script>
